OID reference

dmsShortPowerRecoveryMessage

1.3.6.1.4.1.1206.4.2.3.6.8

Description

<Definition> Indicates the message that shall be activated after a power recovery following a short power loss affecting the device (see dmsActivateMessage). The message shall be activated with: - a duration of 65535 (infinite) (if this object points to a value of 'currentBuffer', the duration is determined by the val…

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.4.1.1206.4.2.3.6 (signControl)
Node code
8
Node name
dmsShortPowerRecoveryMessage
Category
SNMP management object
Numeric OID
1.3.6.1.4.1.1206.4.2.3.6.8
URN notation
urn:oid:1.3.6.1.4.1.1206.4.2.3.6.8
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 4 1 1206 4 2 3 6 8}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) dms(3) signControl(6) dmsShortPowerRecoveryMessage(8)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) fontDefinition(3) signControl(6) dmsShortPowerRecoveryMessage(8)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) nema(1206) transportation(4) devices(2) dms(3) signControl(6) dmsShortPowerRecoveryMessage(8)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) nema(1206) transportation(4) devices(2) fontDefinition(3) signControl(6) dmsShortPowerRecoveryMessage(8)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) nema(1206) transportation(4) devices(2) dms(3) signControl(6) dmsShortPowerRecoveryMessage(8)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) nema(1206) transportation(4) devices(2) fontDefinition(3) signControl(6) dmsShortPowerRecoveryMessage(8)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) nema(1206) transportation(4) devices(2) dms(3) signControl(6) dmsShortPowerRecoveryMessage(8)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) nema(1206) transportation(4) devices(2) fontDefinition(3) signControl(6) dmsShortPowerRecoveryMessage(8)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) dms(3) signControl(6) dmsShortPowerRecoveryMessage(8)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) nema(1206) transportation(4) devices(2) fontDefinition(3) signControl(6) dmsShortPowerRecoveryMessage(8)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) nema(1206) transportation(4) devices(2) dms(3) signControl(6) dmsShortPowerRecoveryMessage(8)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) nema(1206) transportation(4) devices(2) fontDefinition(3) signControl(6) dmsShortPowerRecoveryMessage(8)}
  • {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) nema(1206) transportation(4) devices(2) dms(3) signControl(6) dmsShortPowerRecoveryMessage(8)}
  • {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) nema(1206) transportation(4) devices(2) fontDefinition(3) signControl(6) dmsShortPowerRecoveryMessage(8)}
  • {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) nema(1206) transportation(4) devices(2) dms(3) signControl(6) dmsShortPowerRecoveryMessage(8)}
  • {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) nema(1206) transportation(4) devices(2) fontDefinition(3) signControl(6) dmsShortPowerRecoveryMessage(8)}
  • Additional combinations skipped.
OID-IRI notation
  • /1/3/6/1/4/1/1206/4/2/3/6/8
  • /ISO/Identified-Organization/6/1/4/1/1206/4/2/3/6/8
  • /ISO/3/6/1/4/1/1206/4/2/3/6/8
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/dms/signControl/dmsShortPowerRecoveryMessage
  • /iso/identified-organization/dod/internet/private/enterprise/1206/transportation/devices/fontDefinition/signControl/dmsShortPowerRecoveryMessage
  • /iso/identified-organization/dod/internet/private/enterprise/nema/transportation/devices/dms/signControl/dmsShortPowerRecoveryMessage
  • /iso/identified-organization/dod/internet/private/enterprise/nema/transportation/devices/fontDefinition/signControl/dmsShortPowerRecoveryMessage
  • /iso/identified-organization/dod/internet/private/enterprises/1206/transportation/devices/dms/signControl/dmsShortPowerRecoveryMessage
  • /iso/identified-organization/dod/internet/private/enterprises/1206/transportation/devices/fontDefinition/signControl/dmsShortPowerRecoveryMessage
  • /iso/identified-organization/dod/internet/private/enterprises/nema/transportation/devices/dms/signControl/dmsShortPowerRecoveryMessage
  • /iso/identified-organization/dod/internet/private/enterprises/nema/transportation/devices/fontDefinition/signControl/dmsShortPowerRecoveryMessage
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/1206/transportation/devices/dms/signControl/dmsShortPowerRecoveryMessage
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/1206/transportation/devices/fontDefinition/signControl/dmsShortPowerRecoveryMessage
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/nema/transportation/devices/dms/signControl/dmsShortPowerRecoveryMessage
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/nema/transportation/devices/fontDefinition/signControl/dmsShortPowerRecoveryMessage
  • /iso/identified-organization/dod/internet/private/vendor-objects/1206/transportation/devices/dms/signControl/dmsShortPowerRecoveryMessage
  • /iso/identified-organization/dod/internet/private/vendor-objects/1206/transportation/devices/fontDefinition/signControl/dmsShortPowerRecoveryMessage
  • /iso/identified-organization/dod/internet/private/vendor-objects/nema/transportation/devices/dms/signControl/dmsShortPowerRecoveryMessage
  • /iso/identified-organization/dod/internet/private/vendor-objects/nema/transportation/devices/fontDefinition/signControl/dmsShortPowerRecoveryMessage
  • Additional combinations skipped.

SNMP properties

Value type
MessageIDCode
Maximum access defined by MIB
read-write
Status in MIB
mandatory, current, optional
Default value
'0700010000'H

Definitions may combine these properties differently.

Compare 3 source variants

Variant 1 — ITE public NTCIP working repository MIBs, NTCIP published standard MIB annexes (reviewed modules)

Value type
MessageIDCode
Maximum access defined by MIB
read-write
Status in MIB
mandatory

Variant 2 — ITE public NTCIP working repository MIBs

Value type
MessageIDCode
Maximum access defined by MIB
read-write
Status in MIB
current
Default value
'0700010000'H

Variant 3 — NTCIP published standard MIB annexes (reviewed modules)

Value type
MessageIDCode
Maximum access defined by MIB
read-write
Status in MIB
optional

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

Available source records contain 5 distinct definitions; some records may not include a definition.

Show 5 published definitions

dmsShortPowerRecoveryMessage · mandatory

dmsShortPowerRecoveryMessage  OBJECT-TYPE
SYNTAX  MessageIDCode
ACCESS  read-write
STATUS  mandatory
DESCRIPTION 
"<Definition> Indicates the message that shall be activated after a power recovery following a short power loss affecting the device (see dmsActivateMessage). The message shall be activated with: 
- a duration of 65535 (infinite) (if this object points to a value of 'currentBuffer', the duration is determined by the value of the dmsMessageTimeRemaining object minus the power outage time); 
- an activation priority of 255;
- a source address '127.0.0.1'. 
Upon activation of the message, the run-time priority value shall be obtained from the message table row specified by this object. 
The length of time that defines a short power loss is indicated in the dmsShortPowerLossTime-object.
<Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.8"
-- DEFVAL MessageIDCode = messageMemoryType = 7, messageNumber = 1,
-- messageCRC = 0
::= { signControl 8 }

dmsShortPowerRecoveryMessage · unconfirmed

dmsShortPowerRecoveryMessage  OBJECT-TYPE 
SYNTAX      MessageIDCode 
MAX-ACCESS  read-write 
STATUS      current  
DESCRIPTION  
"<Definition> Indicates the message that shall be activated after a power 
recovery following a short power loss affecting the device. Specifying the 
dmsMessageMemoryType of 'currentBuffer', dmsMessageNumber of 1 and 
dmsMessageCRC of 0 indicates that the message displayed prior to the power 
loss will be reactivated after the power recovery using the 'activate' MULTI-
default settings from before the power loss. The message shall be activated 
with: 
- a duration of 65535 (infinite), unless the message type is 'currentBuffer'. 
In the latter case, the duration is determined by the value of the 
dmsMessageTimeRemaining object (at the time of the power loss) minus the 
power outage time; 
- an activation priority of 255.
Upon activation of the message, the run-time priority value shall be obtained 
from the message table row specified by this object. 
The length of time that defines a short power loss is indicated in the 
dmsShortPowerLossTime-object.
<Informative> The default value indicates a messageMemoryType of 7 (blank), a 
messageNumber of 1, and a messageCRC 0f 0x0000
<Parameter Type> Configuration
<Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.8"
DEFVAL { '0700010000'H }
::= { signControl 8 }

dmsShortPowerRecoveryMessage · mandatory

dmsShortPowerRecoveryMessage OBJECT-TYPE
SYNTAX MessageIDCode
ACCESS read-write
STATUS mandatory
DESCRIPTION



                                                                                          

Page 174                                                           NTCIP 1203 v02.35


"<Definition> Indicates the message that shall be activated after a power
recovery following a short power loss affecting the device (see
dmsActivateMessage). The message shall be activated with:
   ƒ a duration of 65535 (infinite) (if this object points to a value of
      'currentBuffer', the duration is determined by the value of the
      dmsMessageTimeRemaining object minus the power outage time);
   ƒ an activation priority of 255;
   ƒ a source address '127.0.0.1'.
Upon activation of the message, the run-time priority value shall be obtained
from the message table row specified by this object.
The length of time that defines a short power loss is indicated in the
dmsShortPowerLossTime-object.
<Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.8"
::= { signControl 8 }

dmsShortPowerRecoveryMessage · mandatory

dmsShortPowerRecoveryMessage OBJECT-TYPE
SYNTAX MessageIDCode
ACCESS read-write
STATUS mandatory
DESCRIPTION
"<Definition> Indicates the message that shall be activated after a power


                                                                                   

                                                                               
                                                                              

recovery following a short power loss affecting the device (see
dmsActivateMessage). The message shall be activated with:
      – a duration of 65535 (infinite) (if this object points to a value of
      'currentBuffer', the duration is determined by the value of the
      dmsMessageTimeRemaining object minus the power outage time);
      – an activation priority of 255;
      – a source address '127.0.0.1'.
Upon activation of the message, the run-time priority value shall be obtained
from the message table row specified by this object.
The length of time that defines a short power loss is indicated in the
dmsShortPowerLossTime-object.
<Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.8"
-- DEFVAL MessageIDCode = messageMemoryType = 7, messageNumber = 1,
-- messageCRC = 0
::= { signControl 8 }

dmsShortPowerRecoveryMessage · optional

dmsShortPowerRecoveryMessage OBJECT-TYPE
SYNTAX           MessageIDCode
ACCESS           read-write
STATUS           optional
DESCRIPTION “Indicates the message that is displayed after a short power recovery of the device. The
length of time that defines a short power loss is indicated in the dmsShortPowerLossTime-object. “
::= {signControl 8}

Meaning

Descriptions

4 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

Description 1

<Definition> Indicates the message that shall be activated after a power recovery following a short power loss affecting the device (see dmsActivateMessage). The message shall be activated with: - a duration of 65535 (infinite) (if this object points to a value of 'currentBuffer', the duration is determined by the value of the dmsMessageTimeRemaining object minus the power outage time); - an activation priority of 255; - a source address '127.0.0.1'. Upon activation of the message, the run-time priority value shall be obtained from the message table row specified by this object. The length of time that defines a short power loss is indicated in the dmsShortPowerLossTime-object. <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.8

Sources for this description

ITE public NTCIP working repository MIBs

See 1 matching source record

Description 2

<Definition> Indicates the message that shall be activated after a power recovery following a short power loss affecting the device. Specifying the dmsMessageMemoryType of 'currentBuffer', dmsMessageNumber of 1 and dmsMessageCRC of 0 indicates that the message displayed prior to the power loss will be reactivated after the power recovery using the 'activate' MULTI- default settings from before the power loss. The message shall be activated with: - a duration of 65535 (infinite), unless the message type is 'currentBuffer'. In the latter case, the duration is determined by the value of the dmsMessageTimeRemaining object (at the time of the power loss) minus the power outage time; - an activation priority of 255. Upon activation of the message, the run-time priority value shall be obtained from the message table row specified by this object. The length of time that defines a short power loss is indicated in the dmsShortPowerLossTime-object. <Informative> The default value indicates a messageMemoryType of 7 (blank), a messageNumber of 1, and a messageCRC 0f 0x0000 <Parameter Type> Configuration <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.8

Sources for this description

ITE public NTCIP working repository MIBs

See 1 matching source record

Description 3

<Definition> Indicates the message that shall be activated after a power recovery following a short power loss affecting the device (see dmsActivateMessage). The message shall be activated with: – a duration of 65535 (infinite) (if this object points to a value of 'currentBuffer', the duration is determined by the value of the dmsMessageTimeRemaining object minus the power outage time); – an activation priority of 255; – a source address '127.0.0.1'. Upon activation of the message, the run-time priority value shall be obtained from the message table row specified by this object. The length of time that defines a short power loss is indicated in the dmsShortPowerLossTime-object. <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.8

Sources for this description

NTCIP published standard MIB annexes (reviewed modules)

See 1 matching source record

Description 4

Indicates the message that is displayed after a short power recovery of the device. The length of time that defines a short power loss is indicated in the dmsShortPowerLossTime-object.

Sources for this description

NTCIP published standard MIB annexes (reviewed modules)

See 1 matching source record

Evidence

Source records

5 records

Matching descriptions are grouped; open a group to compare definitions and supporting files.

Records for description 1ITE public NTCIP working repository MIBs1 record · 1 source

Description 1

dmsShortPowerRecoveryMessage · mandatoryITE public NTCIP working repository MIBs1 source

Status in source: mandatory.

Names: dmsShortPowerRecoveryMessage

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "dmsShortPowerRecoveryMessage",
    "OBJECT-TYPE",
    "SYNTAX",
    "MessageIDCode",
    "ACCESS",
    "read-write",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"<Definition> Indicates the message that shall be activated after a power recovery following a short power loss affecting the device (see dmsActivateMessage). The message shall be activated with: - a duration of 65535 (infinite) (if this object points to a value of 'currentBuffer', the duration is determined by the value of the dmsMessageTimeRemaining object minus the power outage time); - an activation priority of 255; - a source address '127.0.0.1'. Upon activation of the message, the run-time priority value shall be obtained from the message table row specified by this object. The length of time that defines a short power loss is indicated in the dmsShortPowerLossTime-object. <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.8\"",
    "::=",
    "{",
    "signControl",
    "8",
    "}"
  ],
  "syntax_tree": [
    [
      "row",
      "MessageIDCode"
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "<Definition> Indicates the message that shall be activated after a power recovery following a short power loss affecting the device (see dmsActivateMessage). The message shall be activated with: - a duration of 65535 (infinite) (if this object points to a value of 'currentBuffer', the duration is determined by the value of the dmsMessageTimeRemaining object minus the power outage time); - an activation priority of 255; - a source address '127.0.0.1'. Upon activation of the message, the run-time priority value shall be obtained from the message table row specified by this object. The length of time that defines a short power loss is indicated in the dmsShortPowerLossTime-object. <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.8"
    ],
    null,
    null,
    null,
    null
  ]
}
  • ITE public NTCIP working repository MIBs · Publisher's source file: NTCIP_1203 — v03/1203v03A-06g.mib

    Module: NTCIP1203-v0305

    See published definition above

    Module imports
    {'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString'], 'NTCIP8004v02': ['OwnerString', 'dms']}

    Source data warning: This original is published in an ITE NTCIP working repository. Repository publication does not establish that this particular revision is an adopted standard. Consult its native revision history and the NTCIP published standards catalog before implementation. Copyright and distribution notices are retained in the downloadable original.

    Source data warning: Potentially inaccurate interpretation of historical NTCIP imports: the original references NTCIP8004v02, which is absent from the public repository snapshot. The numeric roots used here are the explicit assignments in normative Annex A.2 of published NTCIP 8004 v02 (2010), physical pages 43–44. This does not establish that every historical module revision is identical. The annex also prints enterprise instead of RFC 1155 enterprises and declares Protocols while referencing protocols; those spelling interpretations are disclosed. The original IMPORTS, numeric suffixes and definitions remain unchanged. Verify both originals before implementation.

    · Download NTCIP_1203 — v03/1203v03A-06g.mib
Records for description 2ITE public NTCIP working repository MIBs1 record · 1 source

Description 2

dmsShortPowerRecoveryMessage · unconfirmedITE public NTCIP working repository MIBs1 source

Status in source: unconfirmed.

Names: dmsShortPowerRecoveryMessage

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "dmsShortPowerRecoveryMessage",
    "OBJECT-TYPE",
    "SYNTAX",
    "MessageIDCode",
    "MAX-ACCESS",
    "read-write",
    "STATUS",
    "current",
    "DESCRIPTION",
    "\"<Definition> Indicates the message that shall be activated after a power recovery following a short power loss affecting the device. Specifying the dmsMessageMemoryType of 'currentBuffer', dmsMessageNumber of 1 and dmsMessageCRC of 0 indicates that the message displayed prior to the power loss will be reactivated after the power recovery using the 'activate' MULTI- default settings from before the power loss. The message shall be activated with: - a duration of 65535 (infinite), unless the message type is 'currentBuffer'. In the latter case, the duration is determined by the value of the dmsMessageTimeRemaining object (at the time of the power loss) minus the power outage time; - an activation priority of 255. Upon activation of the message, the run-time priority value shall be obtained from the message table row specified by this object. The length of time that defines a short power loss is indicated in the dmsShortPowerLossTime-object. <Informative> The default value indicates a messageMemoryType of 7 (blank), a messageNumber of 1, and a messageCRC 0f 0x0000 <Parameter Type> Configuration <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.8\"",
    "DEFVAL",
    "{",
    "'",
    "0700010000",
    "'",
    "H",
    "}",
    "::=",
    "{",
    "signControl",
    "8",
    "}"
  ],
  "syntax_tree": [
    [
      "row",
      "MessageIDCode"
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "current"
    ],
    [
      "DESCRIPTION",
      "<Definition> Indicates the message that shall be activated after a power recovery following a short power loss affecting the device. Specifying the dmsMessageMemoryType of 'currentBuffer', dmsMessageNumber of 1 and dmsMessageCRC of 0 indicates that the message displayed prior to the power loss will be reactivated after the power recovery using the 'activate' MULTI- default settings from before the power loss. The message shall be activated with: - a duration of 65535 (infinite), unless the message type is 'currentBuffer'. In the latter case, the duration is determined by the value of the dmsMessageTimeRemaining object (at the time of the power loss) minus the power outage time; - an activation priority of 255. Upon activation of the message, the run-time priority value shall be obtained from the message table row specified by this object. The length of time that defines a short power loss is indicated in the dmsShortPowerLossTime-object. <Informative> The default value indicates a messageMemoryType of 7 (blank), a messageNumber of 1, and a messageCRC 0f 0x0000 <Parameter Type> Configuration <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.8"
    ],
    null,
    null,
    null,
    [
      "DEFVAL",
      "'0700010000'H"
    ]
  ]
}
  • ITE public NTCIP working repository MIBs · Publisher's source file: NTCIP-1203 — NTCIP1203-Dms.mib

    Module: NTCIP1203-Dms

    See published definition above

    Module imports
    {'SNMPv2-TC': ['TEXTUAL-CONVENTION', 'DisplayString', 'StorageType', 'RowStatus'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'OBJECT-IDENTITY', 'OBJECT-TYPE', 'Integer32', 'Unsigned32', 'Counter32', 'IpAddress'], 'SNMPv2-CONF': ['OBJECT-GROUP'], 'ISO26048-1-Srsa': ['fdSrsaTypeCode', 'fdSrsaPortIndex'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString'], 'ISO26048-1-Global-TC': ['ITSDirection', 'ITSInteger8', 'ITSLatitude84', 'ITSLongitude84', 'ITSBitmap'], 'TRANSPORT-ADDRESS-MIB': ['TransportAddressType', 'TransportAddress'], 'NTCIP8004-Transportation': ['NtcipOwnerString', 'NtcipIntegerBitmap8', 'NtcipIntegerBitmap16', 'NtcipTwoColors', 'devices']}

    Source data warning: This original is published in an ITE NTCIP working repository. Repository publication does not establish that this particular revision is an adopted standard. Consult its native revision history and the NTCIP published standards catalog before implementation. Copyright and distribution notices are retained in the downloadable original.

    Source data warning: Published module-root disagreement: dms has an SMI assignment resolving to 1.3.6.1.4.1.1206.4.2.6, while its DESCRIPTION explicitly prints 1.3.6.1.4.1.1206.4.2.3. All dependent assignments from this module require verification. No root number has been silently corrected.

    Source data warning: Published source disagreement: this literal SMI assignment resolves to 1.3.6.1.4.1.1206.4.2.6.6.8, but its DESCRIPTION explicitly lists 1.3.6.1.4.1.1206.4.2.3.6.8. Both published numeric claims are retained as unconfirmed evidence. Neither value is presented as a verified correction or an independently confirmed registration; consult the original file and the applicable standard edition.

    · Download NTCIP-1203 — NTCIP1203-Dms.mib
Definitions without a descriptionNTCIP published standard MIB annexes (reviewed modules)1 record · 1 source
dmsShortPowerRecoveryMessage · mandatoryNTCIP published standard MIB annexes (reviewed modules)1 source

Status in source: mandatory.

Names: dmsShortPowerRecoveryMessage

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "dmsShortPowerRecoveryMessage",
    "OBJECT-TYPE",
    "SYNTAX",
    "MessageIDCode",
    "ACCESS",
    "read-write",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "Page",
    "174",
    "NTCIP",
    "1203",
    "v02",
    ".",
    "35",
    [
      "literal",
      "223c446566696e6974696f6e3e20496e6469636174657320746865206d6573736167652074686174207368616c6c20626520616374697661746564206166746572206120706f7765720a7265636f7665727920666f6c6c6f77696e6720612073686f727420706f776572206c6f737320616666656374696e67207468652064657669636520287365650a646d7341637469766174654d657373616765292e20546865206d657373616765207368616c6c2062652061637469766174656420776974683a0a202020c2832061206475726174696f6e206f662036353533352028696e66696e69746529202869662074686973206f626a65637420706f696e747320746f20612076616c7565206f660a2020202020202763757272656e74427566666572272c20746865206475726174696f6e2069732064657465726d696e6564206279207468652076616c7565206f66207468650a202020202020646d734d65737361676554696d6552656d61696e696e67206f626a656374206d696e75732074686520706f776572206f75746167652074696d65293b0a202020c28320616e2061637469766174696f6e207072696f72697479206f66203235353b0a202020c283206120736f75726365206164647265737320273132372e302e302e31272e0a55706f6e2061637469766174696f6e206f6620746865206d6573736167652c207468652072756e2d74696d65207072696f726974792076616c7565207368616c6c206265206f627461696e65640a66726f6d20746865206d657373616765207461626c6520726f77207370656369666965642062792074686973206f626a6563742e0a546865206c656e677468206f662074696d65207468617420646566696e657320612073686f727420706f776572206c6f737320697320696e6469636174656420696e207468650a646d7353686f7274506f7765724c6f737354696d652d6f626a6563742e0a3c4f626a656374204964656e7469666965723e20312e332e362e312e342e312e313230362e342e322e332e362e3822"
    ],
    "::=",
    "{",
    "signControl",
    "8",
    "}"
  ]
}
Records for description 3NTCIP published standard MIB annexes (reviewed modules)1 record · 1 source

Description 3

dmsShortPowerRecoveryMessage · mandatoryNTCIP published standard MIB annexes (reviewed modules)1 source

Status in source: mandatory.

Names: dmsShortPowerRecoveryMessage

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "dmsShortPowerRecoveryMessage",
    "OBJECT-TYPE",
    "SYNTAX",
    "MessageIDCode",
    "ACCESS",
    "read-write",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"<Definition> Indicates the message that shall be activated after a power recovery following a short power loss affecting the device (see dmsActivateMessage). The message shall be activated with: – a duration of 65535 (infinite) (if this object points to a value of 'currentBuffer', the duration is determined by the value of the dmsMessageTimeRemaining object minus the power outage time); – an activation priority of 255; – a source address '127.0.0.1'. Upon activation of the message, the run-time priority value shall be obtained from the message table row specified by this object. The length of time that defines a short power loss is indicated in the dmsShortPowerLossTime-object. <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.8\"",
    "::=",
    "{",
    "signControl",
    "8",
    "}"
  ],
  "syntax_tree": [
    [
      "row",
      "MessageIDCode"
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "<Definition> Indicates the message that shall be activated after a power recovery following a short power loss affecting the device (see dmsActivateMessage). The message shall be activated with: – a duration of 65535 (infinite) (if this object points to a value of 'currentBuffer', the duration is determined by the value of the dmsMessageTimeRemaining object minus the power outage time); – an activation priority of 255; – a source address '127.0.0.1'. Upon activation of the message, the run-time priority value shall be obtained from the message table row specified by this object. The length of time that defines a short power loss is indicated in the dmsShortPowerLossTime-object. <Object Identifier> 1.3.6.1.4.1.1206.4.2.3.6.8"
    ],
    null,
    null,
    null,
    null
  ]
}
  • NTCIP published standard MIB annexes (reviewed modules) · Publisher's source file: NTCIP 1203 v03, Object Definitions for Dynamic Message Signs (DMS) Published September 2014 — original PDF · Official record

    Module: NTCIP1203-v03-05

    See published definition above

    Module imports
    {'RFC-1212': ['OBJECT-TYPE'], 'NTCIP8004': ['OwnerString', 'dms'], 'RFC1155-SMI': ['IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString']}

    Source data warning: Recovered from a file whose complete MIB does not parse. The original assignment and definition are preserved. Registration and implementation details may be inaccurate; consult the original file. Other damaged or unresolved declarations are not established registrations.

    Source data warning: This record is transcribed from a published NTCIP MIB annex. The downloadable text is a derived transcription with page furniture and section headings masked; the unmodified original PDF is authoritative. Native definitions, DESCRIPTION and STATUS are retained. A published object definition does not establish support by any particular device.

    Source data warning: The PDF prints an invalid ASN.1 module label (NTCIP1203 v03.05). The derived transcription uses an equal-length internal parsing label; this is not an OID registration or an alteration of any numeric assignment. The original label and full PDF are retained.

    Source data warning: Potentially inaccurate interpretation of historical NTCIP namespace references: NTCIP8004. These exact source files require the reviewed bindings shown below. The numeric roots used here are the explicit assignments in normative Annex A.2 of published NTCIP 8004 v02 (2010), physical pages 43–44. This does not establish that every historical module revision is identical. The annex also prints enterprise instead of RFC 1155 enterprises and declares Protocols while referencing protocols; those spelling interpretations are disclosed. The original IMPORTS, numeric suffixes and definitions remain unchanged. Verify both originals before implementation.

    · Download NTCIP1203v03f.pdf — NTCIP1203-v03-05 (MIB transcription)
Records for description 4NTCIP published standard MIB annexes (reviewed modules)1 record · 1 source

Description 4

dmsShortPowerRecoveryMessage · optionalNTCIP published standard MIB annexes (reviewed modules)1 source

Status in source: optional.

Names: dmsShortPowerRecoveryMessage

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "dmsShortPowerRecoveryMessage",
    "OBJECT-TYPE",
    "SYNTAX",
    "MessageIDCode",
    "ACCESS",
    "read-write",
    "STATUS",
    "optional",
    "DESCRIPTION",
    "“",
    "Indicates",
    "the",
    "message",
    "that",
    "is",
    "displayed",
    "after",
    "a",
    "short",
    "power",
    "recovery",
    "of",
    "the",
    "device",
    ".",
    "The",
    "length",
    "of",
    "time",
    "that",
    "defines",
    "a",
    "short",
    "power",
    "loss",
    "is",
    "indicated",
    "in",
    "the",
    "dmsShortPowerLossTime-object",
    ".",
    "“",
    "::=",
    "{",
    "signControl",
    "8",
    "}"
  ],
  "syntax_tree": [
    [
      "row",
      "MessageIDCode"
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "optional"
    ],
    [
      "DESCRIPTION",
      "Indicates the message that is displayed after a short power recovery of the device. The length of time that defines a short power loss is indicated in the dmsShortPowerLossTime-object."
    ],
    null,
    null,
    null,
    null
  ]
}
  • NTCIP published standard MIB annexes (reviewed modules) · Publisher's source file: NTCIP 1203:1997, Object Definitions for Dynamic Message Signs (DMS) Published December 1999 (superceded by NTCIP 1203 v02) — original PDF · Official record

    Module: DMS-MIB

    See published definition above

    Module imports
    {'TMIB': ['OwnerString', 'devices'], 'NEMA_SMI': ['experimental'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString']}

    Source data warning: This record is transcribed from a published NTCIP MIB annex. The downloadable text is a derived transcription with page furniture and section headings masked; the unmodified original PDF is authoritative. Native definitions, DESCRIPTION and STATUS are retained. A published object definition does not establish support by any particular device.

    Source data warning: A typographic closing DESCRIPTION quotation delimiter occurs immediately at a native SMI field boundary. Normalize this delimiter only in the derived transcription; retain the literal published definition, full description and unchanged numeric assignments.

    Source data warning: A typographic opening DESCRIPTION quotation delimiter occurs immediately at a native SMI field boundary. Normalize this delimiter only in the derived transcription; retain the literal published definition, full description and unchanged numeric assignments.

    Source data warning: Potentially inaccurate interpretation of historical NTCIP namespace references: TMIB. These exact source files require the reviewed bindings shown below. The numeric roots used here are the explicit assignments in normative Annex A.2 of published NTCIP 8004 v02 (2010), physical pages 43–44. This does not establish that every historical module revision is identical. The annex also prints enterprise instead of RFC 1155 enterprises and declares Protocols while referencing protocols; those spelling interpretations are disclosed. The original IMPORTS, numeric suffixes and definitions remain unchanged. Verify both originals before implementation.

    Source data warning: Unconfirmed interpretation of a historical NTCIP import: NTCIP 1203:1997 imports experimental from NEMA_SMI, but the retained original NEMA_SMI defines nemaExperimental instead. Section 2.10 explicitly locates these auxiliary I/O objects under the nema-experimental node. Here only that imported spelling is interpreted as the explicitly assigned nemaExperimental value. The original exp-global suffix 1 and all child numbers are retained. The later NTCIP 1201 v03 compatibility discussion also compares the old experimental spelling with nemaExperimental, but prints expGlobal suffix 2; that disagreement is not silently corrected or treated as proof that both historical branches are registered. These entries may be inaccurate; verify the linked original editions and your device. Native SMI STATUS is preserved separately.

    Related ASN.1 definitions
    nema                     OBJECT IDENTIFIER ::= { enterprises 1206 }
    nemaExperimental         OBJECT IDENTIFIER ::= { nema 2 }
    · Download NTCIP1203v0115a.pdf — DMS-MIB (MIB transcription)

Registration

Registration authorities

First Registration Authority (inferred from ancestor 1.3.6.1.4.1.1206)

Schopp Bruce J.

Siblings (30)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.1206.4.2.3.6.1 dmsControlMode00
1.3.6.1.4.1.1206.4.2.3.6.2 dmsSWReset00
1.3.6.1.4.1.1206.4.2.3.6.3 dmsActivateMessage00
1.3.6.1.4.1.1206.4.2.3.6.4 dmsMessageTimeRemaining00
1.3.6.1.4.1.1206.4.2.3.6.5 dmsMsgTableSource00
1.3.6.1.4.1.1206.4.2.3.6.6 dmsMsgRequesterID00
1.3.6.1.4.1.1206.4.2.3.6.7 dmsMsgSourceMode00
1.3.6.1.4.1.1206.4.2.3.6.9 dmsLongPowerRecoveryMessage00
1.3.6.1.4.1.1206.4.2.3.6.10 dmsShortPowerLossTime00
1.3.6.1.4.1.1206.4.2.3.6.11 dmsResetMessage00
1.3.6.1.4.1.1206.4.2.3.6.12 dmsCommunicationsLossMessage00
1.3.6.1.4.1.1206.4.2.3.6.13 dmsTimeCommLoss00
1.3.6.1.4.1.1206.4.2.3.6.14 dmsPowerLossMessage00
1.3.6.1.4.1.1206.4.2.3.6.15 dmsEndDurationMessage00
1.3.6.1.4.1.1206.4.2.3.6.16 dmsMemoryMgmt00
1.3.6.1.4.1.1206.4.2.3.6.17 dmsActivateMsgError00
1.3.6.1.4.1.1206.4.2.3.6.18 dmsMultiSyntaxError00
1.3.6.1.4.1.1206.4.2.3.6.19 dmsMultiSyntaxErrorPosition00
1.3.6.1.4.1.1206.4.2.3.6.20 dmsMultiOtherErrorDescription00
1.3.6.1.4.1.1206.4.2.3.6.21 vmsPixelServiceDuration00
1.3.6.1.4.1.1206.4.2.3.6.22 vmsPixelServiceFrequency00
1.3.6.1.4.1.1206.4.2.3.6.23 vmsPixelServiceTime00
1.3.6.1.4.1.1206.4.2.3.6.24 dmsActivateErrorMsgCode00
1.3.6.1.4.1.1206.4.2.3.6.25 dmsActivateMessageState00
1.3.6.1.4.1.1206.4.2.3.6.26 dmsActivateMessageV400
1.3.6.1.4.1.1206.4.2.3.6.27 dmsActivateErrorMsgCodeV400
1.3.6.1.4.1.1206.4.2.3.6.28 dmsMsgRequesterAddressType00
1.3.6.1.4.1.1206.4.2.3.6.29 dmsMsgRequesterAddress00
1.3.6.1.4.1.1206.4.2.3.6.30 dmsMsgRequesterSecurityName00
1.3.6.1.4.1.1206.4.2.3.6.31 vmsPixelServiceDurationV400